<!DOCTYPE html>
<html>

<head>
    <title>
        <% if (page.title) { %>
        <%= page.title %> | <%= config.title %>
        <% } else { %>
        <%= config.title %> - <%= config.subtitle %>
        <% } %>
    </title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <%- css('css/layout') %>
</head>

<body class="has-navbar-fixed-top">
    <nav role="navigation" aria-label="main navigation" class="navbar is-primary is-fixed-top">
        <div class="navbar-brand">
            <a href="/" class="navbar-item">KC8APF.NET</a>
            <a role="button" class="navbar-burger burger" aria-label="menu" aria-expanded="false" data-target="navbarMenu">
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
            </a>
        </div>
        <div id="navbarMenu" class="navbar-menu">
            <div class="navbar-start">
                <a href="/archives" active-class="is-active" class="navbar-item">Posts</a>
            </div>
            <div class="navbar-end">
                <hr class="is-hidden-desktop">
                <a href="https://twitter.com/kc8apf" class="navbar-item is-link">
                    <span class="icon ">
                        <i class="fab fa-twitter"></i>
                    </span>
                    <span class="is-hidden-desktop">Twitter: kc8apf</span>
                </a>
                <a href="https://mastodon.cloud/@kc8apf" class="navbar-item is-link">
                    <span class="icon">
                        <i class="fab fa-mastodon"></i>
                    </span>
                    <span class="is-hidden-desktop">Mastodon: @kc8apf@mastodon.cloud</span>
                </a>
                <a href="https://www.instagram.com/kc8apf" class="navbar-item is-link">
                    <span class="icon">
                        <i class="fab fa-instagram"></i>
                    </span>
                    <span class="is-hidden-desktop">Instagram: kc8apf</span>
                </a>
                <a href="https://github.com/kc8apf" class="navbar-item is-link">
                    <span class="icon">
                        <i class="fab fa-github"></i>
                    </span>
                    <span class="is-hidden-desktop">GitHub: kc8apf</span>
                </a>
                <a href="https://gitlab.com/kc8apf" class="navbar-item is-link">
                    <span class="icon">
                        <i class="fab fa-gitlab"></i>
                    </span>
                    <span class="is-hidden-desktop">GitLab: kc8apf</span>
                </a>
            </div>
        </div>
    </nav>
    <script>
        document.addEventListener('DOMContentLoaded', () => {
            // Get all "navbar-burger" elements
            const $navbarBurgers = Array.prototype.slice.call(document.querySelectorAll('.navbar-burger'), 0);

            // Check if there are any navbar burgers
            if ($navbarBurgers.length > 0) {

            // Add a click event on each of them
            $navbarBurgers.forEach( el => {
                el.addEventListener('click', () => {

                    // Get the target from the "data-target" attribute
                    const target = el.dataset.target;
                    const $target = document.getElementById(target);

                    // Toggle the "is-active" class on both the "navbar-burger" and the "navbar-menu"
                    el.classList.toggle('is-active');
                    $target.classList.toggle('is-active');

                    });
                });
            }
        });
    </script>

    <%- body %>

    <footer class="footer">
        <div class="content has-text-centered">
            <p>
                Copyright 2019 Rick Altherr. Site source code is licensed
                <a href="https://opensource.org/licenses/Apache-2.0">Apache 2.0</a>. Website content is licensed
                <a href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY NC SA 4.0</a>.
            </p>
        </div>
    </footer>
</body>

</html>